var e;
(e =
  "function" == typeof Symbol && "symbol" == typeof Symbol.iterator
    ? function (e) {
        return typeof e;
      }
    : function (e) {
        return e &&
          "function" == typeof Symbol &&
          e.constructor === Symbol &&
          e !== Symbol.prototype
          ? "symbol"
          : typeof e;
      }),
  (function (o) {
    "object" == ("undefined" == typeof exports ? "undefined" : e(exports)) &&
    "undefined" != typeof module
      ? (module.exports = o())
      : "function" == typeof define && define.amd
      ? define([], o)
      : (("undefined" != typeof window
          ? window
          : "undefined" != typeof global
          ? global
          : "undefined" != typeof self
          ? self
          : this
        ).markdownitSup = o());
  })(function () {
    return (function e(o, n, r) {
      function t(u, f) {
        if (!n[u]) {
          if (!o[u]) {
            var i = "function" == typeof require && require;
            if (!f && i) return i(u, !0);
            if (p) return p(u, !0);
            var s = new Error("Cannot find module '" + u + "'");
            throw ((s.code = "MODULE_NOT_FOUND"), s);
          }
          var c = (n[u] = { exports: {} });
          o[u][0].call(
            c.exports,
            function (e) {
              return t(o[u][1][e] || e);
            },
            c,
            c.exports,
            e,
            o,
            n,
            r
          );
        }
        return n[u].exports;
      }
      for (
        var p = "function" == typeof require && require, u = 0;
        u < r.length;
        u++
      )
        t(r[u]);
      return t;
    })(
      {
        1: [
          function (e, o) {
            function n(e, o) {
              var n,
                t,
                p = e.posMax,
                u = e.pos;
              if (94 !== e.src.charCodeAt(u)) return !1;
              if (o) return !1;
              if (u + 2 >= p) return !1;
              for (e.pos = u + 1; e.pos < p; ) {
                if (94 === e.src.charCodeAt(e.pos)) {
                  n = !0;
                  break;
                }
                e.md.inline.skipToken(e);
              }
              return n && u + 1 !== e.pos
                ? (t = e.src.slice(u + 1, e.pos)).match(/(^|[^\\])(\\\\)*\s/)
                  ? ((e.pos = u), !1)
                  : ((e.posMax = e.pos),
                    (e.pos = u + 1),
                    (e.push("sup_open", "sup", 1).markup = "^"),
                    (e.push("text", "", 0).content = t.replace(r, "$1")),
                    (e.push("sup_close", "sup", -1).markup = "^"),
                    (e.pos = e.posMax + 1),
                    (e.posMax = p),
                    !0)
                : ((e.pos = u), !1);
            }
            var r = /\\([ \\!"#$%&'()*+,.\/:;<=>?@[\]^_`{|}~-])/g;
            o.exports = function (e) {
              e.inline.ruler.after("emphasis", "sup", n);
            };
          },
          {},
        ],
      },
      {},
      [1]
    )(1);
  });
